libcatalyst-modules-extra-perl_9_all.deb


Advertisement

Description

libcatalyst-modules-extra-perl - extra modules for Catalyst (metapackage)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcatalyst-modules-extra-perl
Package version: 9
Package release:
Package architecture: all
Package type: deb
Installed size: 4 B
Download size: 3.98 KB
Official Mirror: ftp.br.debian.org
This package depends on some additional packages containing commonly used Catalyst modules which are not in libcatalyst-modules-perl. Catalyst is an elegant Model-View-Controller web application framework written in Perl.

    Download

    Source package: libcatalyst-modules-extra-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcatalyst-modules-extra-perl deb package:
      # sudo apt-get install libcatalyst-modules-extra-perl

    Files

    • /usr/share/doc/libcatalyst-modules-extra-perl/NEWS.Debian.gz
    • /usr/share/doc/libcatalyst-modules-extra-perl/changelog.gz
    • /usr/share/doc/libcatalyst-modules-extra-perl/copyright

    Changelog

    2014-05-16 - Damyan Ivanov <dmn@debian.org> libcatalyst-modules-extra-perl (9) unstable; urgency=low * Team upload [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. * Change Vcs-Git to canonical URI (git://anonscm.debian.org) [ Damyan Ivanov ] * replace bundled modules with dependencies on separate packages * purge dependencies * add myself to uploaders * flush description * declare conformance with Policy 3.9.5 (no changes needed) * switch for copyright format 1.0 * remove bundling machinery from debian/rules

    2011-02-27 - gregor herrmann <gregoa@debian.org> libcatalyst-modules-extra-perl (8) unstable; urgency=low * Add build dependency on libtest-use-ok-perl (closes: #615503). * Add /me to Uploaders. * debian/copyright: point to /usr/share/common-licenses/GPL-1.

    2010-12-24 - Jonathan Yu <jawnsy@cpan.org> libcatalyst-modules-extra-perl (7) unstable; urgency=low * Updated modules: + Catalyst::Model::Adaptor 0.09 (was 0.08) * Standards-Version 3.9.1 (no changes) * Refer to the text of GPL version 1

    2010-04-04 - Jonathan Yu <jawnsy@cpan.org> libcatalyst-modules-extra-perl (6) unstable; urgency=low * Updated modules: + Catalyst::Plugin::Captcha 0.04 (was 0.03) * Drop Conflicts on libcatalyst-modules-perl << 1 (we have version 14 in oldstable) * Add a README.source detailing how to work with the bundle * Update NEWS file to a paragraph-like format * Use new 3.0 (native) source format

    2010-03-06 - Jonathan Yu <jawnsy@cpan.org> libcatalyst-modules-extra-perl (5) unstable; urgency=low [ Jonathan Yu ] * Updated modules: + Catalyst::Model::Adaptor 0.08 (was 0.05) * Changed to the new DEP5 copyright format * Copy build script from libcatalyst-modules-perl * Standards-Version 3.8.4 (no changes) [ gregor herrmann ] * Improve build script.

    2009-10-20 - Jonathan Yu <jawnsy@cpan.org> libcatalyst-modules-extra-perl (4) unstable; urgency=low [ Jonathan Yu ] * Add Catalyst::Plugin::Setenv (Closes: #538942) * Add C::P::Authentication::Credential::OpenID (Closes: #536286) * Add Catalyst::Model::Adaptor (Closes: #540286) * Standards-Version 3.8.3 (no changes) * Added myself to Uploaders and Copyright * Regenerate copyright and control file using the script * Upgraded other packages * Rewrote copyright generating code to use new copyright file format. + Author is split into Upstream Maintainer and Copyright holder * Remove Catalyst::Plugin::FormValidator::Simple, as it depends on Catalyst::Plugin::FormValidator, which is deprecated * Remove watch file, as it confuses PET/other tools. There is a check script that does the same thing anyway, only better. * Added a NEWS file to note all the module changes * Depend on liblwpx-paranoidagent-perl, libnet-openid-consumer-perl for the new ::OpenID authentication module * Remove Catalyst::Plugin::CDBI::Transaction, because Class::DBI is considered deprecated, upstream has not responded to copyright information request, we do not have copyright info. * Remove Catalyst::Plugin::FillInForm, as there are deprecation warnings during build and no response to the bug (RT#50138) [ Ryan Niebur ] * Take over for the Debian Perl Group * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); ${misc:Depends} to Depends: field. Changed: Maintainer set to Debian Perl Group <pkg-perl- maintainers@lists.alioth.debian.org> (was: Debian Catalyst Maintainers <pkg-catalyst-maintainers@lists.alioth.debian.org>). * Remove Florian Ragwitz from Uploaders (Closes: #523378) * dh7 awesomeness * Update jawnsy's email address

    Advertisement
    Advertisement